APT-EXTRACTTEMPLATE(1)

NAME
apt-extracttemplates - Hilfsprogramm zum Extrahieren der debconf-Konfiguration und Schablonen von Debian-Paketen

ÜBERSICHT

apt-extracttemplates [-t=temporäres_Verzeichnis] Dateiname... {-v | --version} {-h | --help}

BESCHREIBUNG

apt-extracttemplates nimmt als Eingabe ein oder mehrere Debian-Paketdateien entgegen und schreibt alle zugehörigen Konfigurationsskripte und Schablonendateien (in ein temporäres Verzeichnis) heraus. Für jedes übergebene Paket das Konfigurationsskripte und Schablonendateien enthält, wird eine Ausgabezeile in folgendem Format generiert:

Paket Version Schablonendatei Konfigurationsskript

Schablonendatei und Konfigurationsskript werden in das temporäre Verzeichnis geschrieben, das durch das Verzeichnis -t oder --tempdir (APT::ExtractTemplates::TempDir) mit Dateinamen der Form Paket.Vorlage.XXXXXX und Paket.Konfiguration.XXXXXX angegeben wurde.

OPTIONEN

Alle Befehlszeilenoptionen können durch die Konfigurationsdatei gesetzt werden, die Beschreibung gibt die zu setzende Option an. Für boolesche Optionen können Sie die Konfigurationsdatei außer Kraft setzen, indem Sie etwas der Art -f-, --no-f, -f=no oder etliche weitere Varianten benutzen.

-t, --tempdir
    temporäres Verzeichnis, in das die extrahierten debconf-Schablonendateien und Konfigurationsskripte geschrieben werden. Konfigurationselement: APT::ExtractTemplates::TempDir

-h, --help
    eine kurze Aufrufzusammenfassung zeigen

-v, --version
    die Version des Programms anzeigen

--audit
    Audit- (und Hinweis-)Meldungen anzeigen. Dies setzt die Option »quite« außer Kraft, aber nur für Hinweismeldungen, nicht für Fortschrittsmeldungen.

-c, --config-file
    Konfigurationsdatei; hiermit wird die zu verwendende Konfigurationssdatei angegeben. Das Programm wird die Vorgabe-Konfigurationsdatei und dann diese Konfigurationsdatei lesen. Falls Konfigurationseinstellungen vor der Vorgabe-Konfiguration ausgewertet werden müssen, geben Sie eine Datei in der Umgebungsvariable APT_CONFIG an. Lesen Sie apt.conf(5), um Syntax-Informationen zu erhalten.

-o, --option
    eine Konfigurationsoption setzen; hiermit wird eine beliebige Konfigurationsoption gesetzt. Die Syntax lautet -o Foo::Bar=bar. -o und --option kann mehrfach benutzt werden, um verschiedene Optionen zu setzen.

--no-color, --color
    Farben ein- oder ausschalten. Auf unterstützten Terminals sind Farben für apt(8) standardmäßig eingeschaltet und können auch mit den Umgebungsvariablen NO_COLOR oder APT_NO_COLOR ausgeschaltet werden, oder weiter mittels der Konfigurationsoption und -geltungsbereich APT::Color konfiguriert werden, siehe apt.conf(5) für Informationen hierzu.

SIEHE AUCH

apt.conf(5)

DIAGNOSE

apt-extracttemplates gibt bei normalen Aktionen 0 zurück, dezimal 100 bei Fehlern.

FEHLER

APT-Fehlerseite[1]. Wenn Sie einen Fehler in APT berichten möchten, lesen Sie bitte /usr/share/doc/debian/bug-reporting.txt oder den reportbug(1)-Befehl. Verfassen Sie Fehlerberichte bitte auf Englisch.

ÜBERSETZUNG

Die deutsche Übersetzung wurde 2009ff. von Chris Leick <c.leick@vollbio.de> sowie 2025 von Helge Kreutzmann <debian@helgefjell.de> in Zusammenarbeit mit dem deutschen l10n-Team von Debian <debian-l10n-german@lists.debian.org> angefertigt.

Beachten Sie, dass diese Übersetzung Teile enthalten kann, die nicht übersetzt wurden. Dies ist so, damit kein Inhalt verloren geht, wenn die Übersetzung hinter dem Originalinhalt hinterherhängt.

AUTOREN

Jason Gunthorpe

APT-Team

FUßNOTEN

1.  APT-Fehlerseite
    https://bugs.debian.org/src:apt